<?php
/*---------------------------------------------------------------*/
/*
    Titre : Telecharger des fichiers zip avec compteur                                                                    
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=164
    Website auteur   : https://qwanturank-qwanturank-qwanturank.fr/                                                       
    Date dition     : 27 Fv 2006                                                                                        
    Date mise  jour : 22 Sept 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - refactoring du code en PHP 7                                                                                        
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/?>
    CREATE TABLE telecharger (
      id mediumint(8) unsigned NOT NULL auto_increment,
      titre varchar(60) NOT NULL default '',
      url varchar(120) NOT NULL default '',
      categorie varchar(120) NOT NULL default '',
      compteur int(11) NOT NULL default '0',
      PRIMARY KEY  (id)
    ) TYPE=MyISAM;  


    ***************************************** 
    ***************************************** 
    id (ID de l'enregistrement)
    titre (le titre de l'enregistrement)
    url (url ou se trouve le zip)
    categorie (la catégorie de l'enregistrement, si nécessaire)
    compteur (Le champ qui va compter chaque téléchargement)

<?php 

    //**********************
    //**********************
    // Premiere partie
    //**********************
    //**********************

    // Connection au serveur mySQL

    $db_server = 'localhost'; // Adresse du serveur MySQL
    $db_name = '';            // Nom de la base de données
    $db_user_login = 'root';  // Nom de l'utilisateur
    $db_user_pass = '';       // Mot de passe de l'utilisateur

    // Ouvre une connexion au serveur MySQL
    $conn = mysqli_connect($db_server,$db_user_login, $db_user_pass, $db_name);

    $q = $conn->query("SELECT id,titre,compteur FROM telecharger");

    while ($r = mysqli_fetch_array($q))
    {
    echo "<a href=\"inc_telecharger.php?id=".$r['id']."\" target=\"_blank\">";
    echo "".htmlentities($r['titre'])."</a><br />";
    echo "Télécharger ".$r['compteur']." fois";
    }


    //**********************
    //**********************
    // Seconde partie      
    //**********************
    // inc_telecharger.php 
    //**********************
    //**********************


    $db_server = 'localhost'; // Adresse du serveur MySQL
    $db_name = '';            // Nom de la base de données
    $db_user_login = 'root';  // Nom de l'utilisateur
    $db_user_pass = '';       // Mot de passe de l'utilisateur

    // Ouvre une connexion au serveur MySQL
    $conn = mysqli_connect($db_server,$db_user_login, $db_user_pass, $db_name);

    // Recupere l'ID
    $id = isset($_GET['id']) ? $_GET['id'] : '';

    // Detection de l'ID
    if (isset($id) && is_numeric($id)) {
    // mise à jour de la table
    $conn->query("UPDATE telecharger SET compteur = compteur + 1 WHERE id = $id"
);
    // vas chercher l'url
    $q = $conn->query("SELECT url FROM telecharger WHERE id = $id");
    $r = mysqli_fetch_array($q);
    // redirection vers la page d'origine
    header("Location: ".$r["url"]);
    }
?>